Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.transform.powerassert
[Java] Class SourceTextNotAvailableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.transform.powerassert.SourceTextNotAvailableException

    public class SourceTextNotAvailableException
    extends RuntimeException

Indicates that the source text for an assertion statement is not available.

Authors:
  Peter Niederwieser

Constructor Summary
`SourceTextNotAvailableException(AssertStatement stat, SourceUnit unit, String msg)`

Method Summary

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### SourceTextNotAvailableException

    public SourceTextNotAvailableException(AssertStatement stat, SourceUnit unit, String msg)

Copyright © 2003-2010 The Codehaus. All rights reserved.